## open-iscsi 2.0.872

=== utils/fwparam_ibft/Makefile ===
#
#  Copyright (C) IBM Corporation. 2007
#  Author: Doug Maxey <dwm@austin.ibm.com>
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#  Authors: Patrick Mansfield <patmans@us.ibm.com>
#	    Mike Anderson <andmike@us.ibm.com>
#	    Doug Maxey <dwm@austin.ibm.com>
#	    "Prasanna Mumbai" <mumbai.prasanna@gmail.com>
#

SYSDEPS_OBJS = $(wildcard ../sysdeps/*.o)
OBJS := fw_entry.o fwparam_sysfs.o $(SYSDEPS_OBJS) ../../usr/iscsi_net_util.o
OBJS += prom_lex.o prom_parse.tab.o fwparam_ppc.o
CLEANFILES = $(OBJS) *.output *~

OPTFLAGS ?= -O2 -g -fPIC
WARNFLAGS ?= -Wall -Wstrict-prototypes
CFLAGS += $(OPTFLAGS) $(WARNFLAGS) -I../../include -I../../usr

all: $(OBJS)

clean:
	rm -f *.o $(CLEANFILES) .depend

$(OBJS): prom_parse.tab.h prom_parse.h fwparam_ibft.h

depend:
	gcc $(CFLAGS) -M `ls *.c` > .depend

-include .depend

=== debian/changelog ===
open-iscsi (2.0.872-2) unstable; urgency=low

  * Upload to unstable 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 14 Sep 2011 14:26:00 +0530

open-iscsi (2.0.872-1) experimental; urgency=low

  * New Upstream Release  
  * [cccd5a9] Use udevadm to check for existense of udev.
    Thanks to Marco d'Itri (Closes: #622209)
  * [ddb81e4] Drop patches, merged upstream
  * [25aa1d9] disable security and slp support
  * [89b2a6a] Add patch to disable ssl.
    Thanks to Mike Christie
  * [d70e88a] Refresh patch
  * [b501aec] delete debian/patches/disable-isns.patch
  * [2cc67f7] spelling-error and hyphentation fixes
  * [b886116] Bump Standards Version to 3.9.2
  * [405ecfd] add autotools-dev to build-dep to ensure we have no stale
    configure scripts

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 26 Aug 2011 16:21:38 +0530

open-iscsi (2.0.871.3-6) unstable; urgency=low

  * [87c440c] fix gcc 4.6 build failure (Closes: #625152)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 03 May 2011 00:22:07 +0530

open-iscsi (2.0.871.3-5) unstable; urgency=low

  * Last upload was incorrect. Really upload to unstable 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 12 Feb 2011 02:00:34 +0530

open-iscsi (2.0.871.3-4) unstable; urgency=low

  * Reupload to unstable 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 10 Feb 2011 20:17:07 +0530

open-iscsi (2.0.871.3-3) experimental; urgency=low

  * Install iscsid.conf with 0600 permission as it can contain passwords
    (Closes: #472965)
  * Provide an example for iSCSI root installation (Closes: #492358) 
  * Add support to enable multiple session to the iSCSI Target in the
    initramfs. Thanks to Norbert Tretkowski for the patch.
    (Closes: #598773) 
  * Add patch to support NICs that have native iSCSI support. Thanks to
    Bjoern Metzdorf for the patch. (Closes: #514924) 
  * cherry pick commit f0b670c0 from upstrem (Closes: #603990)
  * Bump Standards Version (No changes required) 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 05 Jan 2011 13:43:42 +0545

=== debian/control ===
Source: open-iscsi
Section: net
Priority: optional
Maintainer: Debian iSCSI Maintainers <pkg-iscsi-maintainers@lists.alioth.debian.org>
Uploaders: Andrew Moise <chops@demiurgestudios.com>, Philipp Hug <debian@hug.cx>, Guido Günther <agx@sigxcpu.org>, Ritesh Raj Sarraf <rrs@debian.org>
Build-Depends: debhelper (>= 7.0.0), bzip2, bison, flex, autotools-dev
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-iscsi/open-iscsi.git
Vcs-Browser: http://git.debian.org/?p=pkg-iscsi/open-iscsi.git
Homepage: http://www.open-iscsi.org/

Package: open-iscsi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, udev
Description: High performance, transport independent iSCSI implementation
 Open-iSCSI is a high-performance, transport independent, multi-platform
 implementation of RFC3720 iSCSI
 .
 Open-iSCSI is partitioned into user and kernel parts where the kernel
 portion implements iSCSI data path (i.e. iSCSI Read and iSCSI Write)
 The userspace contains the entire control plane consisting of:
  * Configuration Manager
  * iSCSI Discovery, Login and Logout processing
  * Connection level error processing
  * Nop-In and Nop-Out handling
  * Text processing, iSNS, SLP, Radius et cetera (future)
 .
 The userspace component consists of a daemon, iscsid and a management
 utility, iscsiadm

#Package: linux-iscsi-modules-source
#Architecture: all
#Depends: ${shlibs:Depends}, ${misc:Depends}, module-assistant, debhelper (>= 4.0.0), bzip2
#Description: Source Code for the Linux iSCSI Kernel Modules
# Along with make-kpkg, this package maybe used to build a linux-iscsi-modules 
# package for a kernel-image package.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS


# get-orig-source target
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')

get-orig-source:
	[ ! -f $(ORIG_FILE).gz ] || rm -f $(ORIG_FILE).gz
	uscan --force-download --rename --repack --download-version=$(DEB_UPSTREAM_VERSION) --destdir=.


CFLAGS = -Wall -g
export OPTFLAGS =-DDISCOVERY_FILE=\"/var/lib/open-iscsi/discovery\" -DNODE_FILE=\"/var/lib/open-iscsi/node\"

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


#Architecture 
build: build-arch

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp 

	# Add here commands to compile the arch part of the package.
	$(MAKE) -C utils/fwparam_ibft
	$(MAKE) user
	$(MAKE) -C utils

	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp 

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	touch build-indep-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) -C utils/fwparam_ibft clean
	$(MAKE) -C usr clean
	$(MAKE) -C utils clean
	rm -rf modules

	dh_clean 

install: install-arch
# disabled kernel module package for now because source is already in debian stock kernelsy
install-indep:

install-arch:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -s

	# Add here commands to install the arch part of the package into 
	# debian/open-iscsi.
	install -m 755 usr/iscsiadm $(CURDIR)/debian/open-iscsi/usr/bin
	install -m 755 usr/iscsid $(CURDIR)/debian/open-iscsi/usr/sbin
	install -m 755 usr/iscsistart $(CURDIR)/debian/open-iscsi/usr/sbin
	install -m 755 utils/iscsi_discovery $(CURDIR)/debian/open-iscsi/usr/sbin
	install -m 755 utils/iscsi-iname $(CURDIR)/debian/open-iscsi/usr/sbin
	install -m 644 debian/initiatorname.iscsi $(CURDIR)/debian/open-iscsi/etc/iscsi/initiatorname.iscsi
	install -m 600 etc/iscsid.conf $(CURDIR)/debian/open-iscsi/etc/iscsi
	install -m 644 debian/open-iscsi.default $(CURDIR)/debian/open-iscsi/etc/default/open-iscsi

	# initramfs stuff
	install -m 755 debian/extra/initramfs.hook \
		$(CURDIR)/debian/open-iscsi/usr/share/initramfs-tools/hooks/iscsi
	install -m 755 debian/extra/initramfs.local-top \
		$(CURDIR)/debian/open-iscsi/usr/share/initramfs-tools/scripts/local-top/iscsi

	dh_install -s

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installinit -u 'start 45 S . stop 81 0 1 6 .' --no-start
	dh_installinit -u 'stop 80 0 1 6 .' --no-start --name=umountiscsi.sh
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
#	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure get-orig-source

## open-iscsi 2.0.873

=== Makefile ===
#
# Makefile for the Open-iSCSI Initiator
#

# if you are packaging open-iscsi, set this variable to the location
# that you want everything installed into.
DESTDIR ?= 

prefix = /usr
exec_prefix = /
sbindir = $(exec_prefix)/sbin
bindir = $(exec_prefix)/bin
mandir = $(prefix)/share/man
etcdir = /etc
initddir = $(etcdir)/init.d

MANPAGES = doc/iscsid.8 doc/iscsiadm.8 doc/iscsi_discovery.8
PROGRAMS = usr/iscsid usr/iscsiadm utils/iscsi_discovery utils/iscsi-iname
INSTALL = install
ETCFILES = etc/iscsid.conf
IFACEFILES = etc/iface.example

# Random comments:
# using '$(MAKE)' instead of just 'make' allows make to run in parallel
# over multiple makefile.

all: user

user: utils/open-isns/Makefile
	$(MAKE) -C utils/open-isns
	$(MAKE) -C utils/sysdeps
	$(MAKE) -C utils/fwparam_ibft
	$(MAKE) -C usr
	$(MAKE) -C utils
	@echo
	@echo "Compilation complete                 Output file"
	@echo "-----------------------------------  ----------------"
	@echo "Built iSCSI daemon:                  usr/iscsid"
	@echo "Built management application:        usr/iscsiadm"
	@echo "Built boot tool:                     usr/iscsistart"
	@echo
	@echo "Read README file for detailed information."

utils/open-isns/Makefile: utils/open-isns/configure utils/open-isns/Makefile.in
	cd utils/open-isns; ./configure CFLAGS="$(OPTFLAGS)" --with-security=no

kernel: force
	$(MAKE) -C kernel
	@echo "Kernel Compilation complete          Output file"
	@echo "-----------------------------------  ----------------"
	@echo "Built iSCSI Open Interface module:   kernel/scsi_transport_iscsi.ko"
	@echo "Built iSCSI library module:          kernel/libiscsi.ko"
	@echo "Built iSCSI over TCP library module: kernel/libiscsi_tcp.ko"
	@echo "Built iSCSI over TCP kernel module:  kernel/iscsi_tcp.ko"

force: ;

clean:
	$(MAKE) -C utils/sysdeps clean
	$(MAKE) -C utils/fwparam_ibft clean
	$(MAKE) -C utils clean
	$(MAKE) -C usr clean
	$(MAKE) -C kernel clean
	$(MAKE) -C utils/open-isns clean
	$(MAKE) -C utils/open-isns distclean

# this is for safety
# now -jXXX will still be safe
# note that make may still execute the blocks in parallel
.NOTPARALLEL: install_user install_programs install_initd \
	install_initd_suse install_initd_redhat install_initd_debian \
	install_etc install_iface install_doc install_kernel install_iname

install: install_programs install_doc install_etc \
	install_initd install_iname install_iface

install_user: install_programs install_doc install_etc \
	install_initd install_iname install_iface

install_programs:  $(PROGRAMS)
	$(INSTALL) -d $(DESTDIR)$(sbindir)
	$(INSTALL) -m 755 $^ $(DESTDIR)$(sbindir)

# ugh, auto-detection is evil
# Gentoo maintains their own init.d stuff
install_initd:
	if [ -f /etc/debian_version ]; then \
		$(MAKE) install_initd_debian ; \
	elif [ -f /etc/redhat-release ]; then \
		$(MAKE) install_initd_redhat ; \
	elif [ -f /etc/SuSE-release ]; then \
		$(MAKE) install_initd_suse ; \
	fi

# these are external targets to allow bypassing distribution detection
install_initd_suse:
	$(INSTALL) -d $(DESTDIR)$(initddir)
	$(INSTALL) -m 755 etc/initd/initd.suse \
		$(DESTDIR)$(initddir)/open-iscsi
	$(INSTALL) -m 755 etc/initd/boot.suse \
		$(DESTDIR)$(initddir)/boot.open-iscsi

install_initd_redhat:
	$(INSTALL) -d $(DESTDIR)$(initddir)
	$(INSTALL) -m 755 etc/initd/initd.redhat \
		$(DESTDIR)$(initddir)/open-iscsi

install_initd_debian:
	$(INSTALL) -d $(DESTDIR)$(initddir)
	$(INSTALL) -m 755 etc/initd/initd.debian \
		$(DESTDIR)$(initddir)/open-iscsi

install_iface: $(IFACEFILES)
	$(INSTALL) -d $(DESTDIR)$(etcdir)/iscsi/ifaces
	$(INSTALL) -m 644 $^ $(DESTDIR)$(etcdir)/iscsi/ifaces

install_etc: $(ETCFILES)
	if [ ! -f /etc/iscsi/iscsid.conf ]; then \
		$(INSTALL) -d $(DESTDIR)$(etcdir)/iscsi ; \
		$(INSTALL) -m 644 $^ $(DESTDIR)$(etcdir)/iscsi ; \
	fi

install_doc: $(MANPAGES)
	$(INSTALL) -d $(DESTDIR)$(mandir)/man8
	$(INSTALL) -m 644 $^ $(DESTDIR)$(mandir)/man8

install_kernel:
	$(MAKE) -C kernel install_kernel

install_iname:
	if [ ! -f /etc/iscsi/initiatorname.iscsi ]; then \
		echo "InitiatorName=`$(DESTDIR)/sbin/iscsi-iname`" > $(DESTDIR)/etc/iscsi/initiatorname.iscsi ; \
		echo "***************************************************" ; \
		echo "Setting InitiatorName to `cat $(DESTDIR)/etc/iscsi/initiatorname.iscsi`" ; \
		echo "To override edit /etc/iscsi/initiatorname.iscsi" ; \
		echo "***************************************************" ; \
	fi

depend:
	for dir in usr utils utils/fwparam_ibft; do \
		$(MAKE) -C $$dir $@; \
	done

# vim: ft=make tw=72 sw=4 ts=4:

=== kernel/Makefile ===
#
# Makefile for the Linux Kernel iSCSI Initiator
#
# This Makefile invokes KBuild from outside the kernel directory when
# used from the main open-iscsi package. It also contains all of the
# KBuild stuff needed to build the modules.
#

# Kbuild stuff, the following is the only part of this file that KBuild
# actually uses itself.
EXTRA_CFLAGS += -I$(obj) -I$(obj)/../include 

ifeq ($(DEBUG_SCSI), 1)
EXTRA_CFLAGS += -DDEBUG_SCSI=1
endif

ifeq ($(DEBUG_TCP), 1)
EXTRA_CFLAGS += -DDEBUG_TCP=1
endif

obj-m				+= scsi_transport_iscsi.o
obj-m				+= libiscsi.o
obj-m				+= libiscsi_tcp.o
obj-m				+= iscsi_tcp.o

# Everything beyond this point is used to call KBuild or handle support
# for multiple kernel versions.

# Kbuild verbosity
V ?= 0

# allow users to override these
# eg to compile for a kernel that you aren't currently running
KERNELRELEASE ?= $(shell uname -r)
KSRC ?= /lib/modules/$(KERNELRELEASE)/build
KBUILD_OUTPUT ?= 
# this is the basic Kbuild invocation, just append your make target
KBUILD_BASE = +$(MAKE) -C $(KSRC) M=`pwd` KBUILD_OUTPUT=$(KBUILD_OUTPUT) $(KARCH) V=$(V)

all: kernel_check
	$(KBUILD_BASE) modules

# ============ BEGIN code for kernel_check and source patching ================
# We calculate the Linux version for compilation. Than according to version,
# if needed, we patch source-code to match the compiling kernel.
# if you need a new kernel sub-version just add a target below.
#
# IMPORTANT: do "make clean" before submitting to SVN so source is in unpatched
#            form.

#some constants
14to23_patch=2.6.14-23_compat.patch
24_patch=2.6.24_compat.patch
26_patch=2.6.26_compat.patch
27_patch=2.6.27_compat.patch
28to32_patch=2.6.28-32_compat.patch
33to34_patch=2.6.33-34_compat.patch
all_patches=14to21_patch 20to21_patch 24_patch 26_patch 27_patch 28to32_patch 33to34_patch
cur_patched=cur_patched

## fun stuff for maintaining multiple versions

# check to see if code is unpatched 
unpatch_code=$(shell test -e $(cur_patched) && echo do_unpatch_code )

KSUBLEVEL = $(shell cat $(KSRC)/Makefile | awk -F= '/^SUBLEVEL =/ {print $$2}' | \
		sed 's/^[ \t]*//;s/[ \t]*$$//')


KERNEL_TARGET=linux_2_6_$(KSUBLEVEL)
kernel_check: $(KERNEL_TARGET)

linux_2_6_14: has_14to23_patch

linux_2_6_15: has_14to23_patch

linux_2_6_16: has_14to23_patch

linux_2_6_17: has_14to23_patch

linux_2_6_18: has_14to23_patch

linux_2_6_19: has_14to23_patch

linux_2_6_20: has_14to23_patch

linux_2_6_21: has_14to23_patch

linux_2_6_22: has_14to23_patch

linux_2_6_23: has_14to23_patch

linux_2_6_24: has_24_patch

linux_2_6_25: has_24_patch

linux_2_6_26: has_26_patch

linux_2_6_27: has_27_patch

linux_2_6_28: has_28to32_patch

linux_2_6_29: has_28to32_patch

linux_2_6_30: has_28to32_patch

linux_2_6_31: has_28to32_patch

linux_2_6_32: has_28to32_patch

linux_2_6_33: has_33to34_patch

linux_2_6_34: has_33to34_patch

linux_2_6_35: $(unpatch_code)

do_unpatch_code:
	echo "Un-patching source code for use with linux-2.6.14 and up ..."
	patch -R -E -p1 < $(cur_patched)
	rm -f `readlink $(cur_patched)`
	rm -f $(cur_patched)

# these below targets must be the same as the variable name prefixed by has_
# otherwise below compat_patch: target will not work
has_14to23_patch: $(14to23_patch)
	echo "Patching source code for linux-2.6.14-23 ..."
	if [ -e $(cur_patched) ]; then \
		make -C . clean; \
	fi
	patch -p1 < $(14to23_patch)
	cp $(14to23_patch) $@
	ln -s $@ $(cur_patched)

has_24_patch: $(24_patch)
	echo "Patching source code for linux-2.6.24-25 ..."
	if [ -e $(cur_patched) ]; then \
		make -C . clean; \
	fi
	patch -p1 < $(24_patch)
	cp $(24_patch) $@
	ln -s $@ $(cur_patched)

has_26_patch: $(26_patch)
	echo "Patching source code for linux-2.6.26 ..."
	if [ -e $(cur_patched) ]; then \
		make -C . clean; \
	fi
	patch -p1 < $(26_patch)
	cp $(26_patch) $@
	ln -s $@ $(cur_patched)

has_27_patch: $(27_patch)
	echo "Patching source code for linux-2.6.27 ..."
	if [ -e $(cur_patched) ]; then \
		make -C . clean; \
	fi
	patch -p1 < $(27_patch)
	cp $(27_patch) $@
	ln -s $@ $(cur_patched)

has_28to32_patch: $(28to32_patch)
	echo "Patching source code for linux-2.6.28-33 ..."
	if [ -e $(cur_patched) ]; then \
		make -C . clean; \
	fi
	patch -p1 < $(28to32_patch)
	cp $(28to32_patch) $@
	ln -s $@ $(cur_patched)

has_33to34_patch: $(33to34_patch)
	echo "Patching source code for linux-2.6.33-34 ..."
	if [ -e $(cur_patched) ]; then \
		make -C . clean; \
	fi
	patch -p1 < $(33to34_patch)
	cp $(33to34_patch) $@
	ln -s $@ $(cur_patched)


# ============ END code for kernel_check and source patching =================

clean: $(unpatch_code)
	$(KBUILD_BASE) clean
	rm -f Module.symvers

## The folowing compat_patch target is what we need to do to prepare a clean
# compat_patch set after new code is check-in to svn. To keep patches fuzzless.
# the new patches are writen into .new files so svn diff of next file will
# not trip on them.
compat_patch: $(unpatch_code)
	test -z "$(svn diff|head)" || { \
		echo "please run make compat_patch after changse are submited to svn"; \
		exit 1; \
	}
	for the_patch in all_patches ; do \
		make -C . has_$(the_patch); \
		svn diff > ${!the_patch}.new; \
	done

# the following is only for convienience
# do not submit to Linus
# it's also called from the toplevel makefile

# INSTALL_MOD_DIR is set so that the drivers go into the correct location using Kbuild
# it defaults to 'extra' otherwise
INSTALL_MOD_DIR ?= kernel/drivers/scsi

# this allows packaging of modules
ifdef DESTDIR
INSTALL_MOD_PATH=$(DESTDIR)
else
INSTALL_MOD_PATH=
endif

# this evil rule ensures that the modules get build if you specify $(ko)
# as a dependancy.
ko = $(patsubst %.o,%.ko,$(obj-m))
$(ko): all

# now the actual command
install_kernel: $(ko)
	$(KBUILD_BASE) modules_install INSTALL_MOD_DIR=$(INSTALL_MOD_DIR) INSTALL_MOD_PATH=$(INSTALL_MOD_PATH)

dpkg_divert:
	for module in $(ko) ; do \
		dpkg-divert --rename /lib/modules/$(KERNELRELEASE)/$(INSTALL_MOD_DIR)/$$module ; \
	done

# vim: ft=make tw=72 sw=4 ts=4:

=== utils/Makefile ===
# This Makefile will work only with GNU make.

CFLAGS += $(OPTFLAGS) -O2 -fno-inline -Wall -Wstrict-prototypes -g
PROGRAMS = iscsi-iname

all: $(PROGRAMS)

iscsi-iname: md5.o iscsi-iname.o
	$(CC) $(CFLAGS) $^ $(DBM_LIB) -o $@

clean:
	rm -f *.o $(PROGRAMS) .depend

depend:
	gcc $(CFLAGS) -M `ls *.c` > .depend

-include .depend

=== utils/sysdeps/Makefile ===
# This Makefile will work only with GNU make.

CFLAGS += $(OPTFLAGS) $(WARNFLAGS) -O2 -fno-inline -Wall -Wstrict-prototypes -g

SYSDEPS_OBJS=sysdeps.o

all: $(SYSDEPS_OBJS)

clean:
	rm -f *.o .depend

depend:
	gcc $(CFLAGS) -M `ls *.c` > .depend

-include .depend

=== debian/changelog ===
open-iscsi (2.0.873-3ubuntu7) saucy; urgency=low

  * Use dh_autotools-dev to update config.sub|guess.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 11 Oct 2013 17:03:37 +0100

open-iscsi (2.0.873-3ubuntu6) saucy; urgency=low

  * debian/tests: Add autopkgtest.

 -- Yolanda <yolanda.robla@canonical.com>  Mon, 27 May 2013 10:39:35 +0200

open-iscsi (2.0.873-3ubuntu5) quantal-proposed; urgency=low

  * Ensure all udev events have been processed before trying to configure
    iscsi networking in the initramfs (LP: #1066945): 
    - debian/extra/initramfs.local-top: Restore wait_for_udev call before
      configure_networking to ensure network devices are present.

 -- James Page <james.page@ubuntu.com>  Wed, 17 Oct 2012 12:37:43 +0100

open-iscsi (2.0.873-3ubuntu4) quantal-proposed; urgency=low

  * Generate initiator name on install, not first boot, ensuring that the
    initramfs built during install contains a valid iSCSI initiator name
    resulting in a iSCSI based root volume that will actually boot
    (LP: #1057635):
    - debian/{rules,initiatorname.iscsi}: Don't install a default
      initiatorname.iscsi.
    - debian/open-iscsi.postinst: Generate initiatorname.iscsi on install.

 -- James Page <james.page@ubuntu.com>  Mon, 15 Oct 2012 12:42:53 +0100

open-iscsi (2.0.873-3ubuntu3) quantal; urgency=low

  * debian/open-iscsi.iscsi-network-interface.upstart: fix bad syntax
    in 'post-stop'

 -- Scott Moser <smoser@ubuntu.com>  Mon, 17 Sep 2012 16:50:22 -0400

open-iscsi (2.0.873-3ubuntu2) quantal; urgency=low

  * debian/extra/initramfs.local-top: start writing
    /run/initramfs/open-iscsi.interface file again (LP: #1050480)
  * debian/open-iscsi.iscsi-network-interface.upstart: integrate with
    resolvconf (LP: #1050487)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 17 Sep 2012 15:46:26 -0400

open-iscsi (2.0.873-3ubuntu1) quantal; urgency=low

  * Merge from Debian. Remaining changes: (LP: #961114, LP: #677333)
    - Add upstart job iscsi-network-interface
    - Migrate from /var/run and /lib/init/rw to /run, from /var/lock to
      /run/lock.
  * Turn open-iscsi-utils into a transitional package

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 10 Jul 2012 13:53:52 -0400

open-iscsi (2.0.873-3) unstable; urgency=low

  * [4939401] Fix build to install udeb stuff only on supported architectures

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 27 Jun 2012 22:36:05 +0530

open-iscsi (2.0.873-2) unstable; urgency=low

  * [0019fa9] Restrict architecture for the udeb package as its dependency,
    scsi-modules, is not available on all the architecture paltforms

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 26 Jun 2012 18:54:17 +0530

open-iscsi (2.0.873-1) unstable; urgency=low

  * [53943f2] Load iscsi_ibft module to allow target session over iBFT.
    Thanks to JOORIS Emmanuel (Closes: #672122)
  * [ca41744] Delete old obsolete patches
  * [01a54bf] Drop old manpages already available upstream
  * [caf884c] ship upstream manpages for iscsi-iname and iscsistart
  * [a983848] Imported Upstream version 2.0.873

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 21 May 2012 23:54:53 +0530

open-iscsi (2.0.872+git0.6676a1cf-2) unstable; urgency=low

  * Upload to unstable
  * [cb80472] Fix default iscsid path in config file.
    Thanks to Michal Suchanek (Closes: #650221)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 24 Apr 2012 09:41:08 +0530

open-iscsi (2.0.872+git0.6676a1cf-1) experimental; urgency=low

  [ Ritesh Raj Sarraf ]
  * New Upstream git snapshot (Closes: #645752) 
  * [ce26f7c] Imported Upstream version 2.0.872+git0.6676a1cf
  * [9ad08d7] also include iscsitart in the udeb
  * [bc79ad2] refresh patch debian/patches/spelling-error-fixes.patch
  * [0286328] refresh patch 004_make-iscsistart-a-dynamic-binary.patch
  * [360a509] Drop patches:
    + iscsi-dont-build-with-ssl.patch and
    + disable-isns-security.patch
  * [350db4d] rename and reorder patches
  * [794fa4f] Package-Type is now an understood feild by dpkg
  * [593f187] Add hardened build flags.
    Thanks to Moritz Muehlenhoff (Closes: #659662)
  * [cf4c6c3] Kill iscsid processes properly, on stop.
    Thanks to Gwendal Grignou (Closes: #665966)
  * [f1a9d2f] linitan fixes for spelling errors and manpage hyphen errors
  * [a8560c8] add and fix lsb headers for init files

  [ Colin Watson ]
  * [156b745] open-iscsi: add a udeb (Closes: #635161)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 07 Apr 2012 21:02:37 +0530

open-iscsi (2.0.871-0ubuntu9) oneiric-proposed; urgency=low

  * Make sure the upstart job triggers ifupdown's upstart script to avoid
    waiting 2 minutes at boot time for network to come up. (LP: #870214)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 11 Oct 2011 22:31:39 +0100

open-iscsi (2.0.871-0ubuntu8) oneiric; urgency=low

  * Disable open-iscsi init script when root is on iscsi (LP: #838809)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 15 Sep 2011 10:01:12 -0400

open-iscsi (2.0.871-0ubuntu7) oneiric; urgency=low

  * Migrate from /var/run and /lib/init/rw to /run, from /var/lock to
    /run/lock, and from /dev/.initramfs to /run/initramfs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 14 Jul 2011 17:01:42 +0100

open-iscsi (2.0.871-0ubuntu6) oneiric; urgency=low

  * Fix initramfs iSCSI login (many thanks to Amos Hayes for lending me a
    test system; LP: #728088):
    - Write out /dev/.initramfs/open-iscsi.interface in the same subshell as
      configure_networking, so that we can get at the value of DEVICE.
    - Wait for udev to settle before attempting to configure networking.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 May 2011 23:27:31 +0100

open-iscsi (2.0.871-0ubuntu5) maverick; urgency=low

  * Include <sys/types.h> and <sys/stat.h> in usr/iscsi_sysfs.c for S_*
    macros (LP: #600953).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 02 Jul 2010 17:08:14 +0100

open-iscsi (2.0.871-0ubuntu4) lucid; urgency=low



=== debian/control ===
--- 
+++ 
@@ -1,17 +1,21 @@
 Source: open-iscsi
 Section: net
 Priority: optional
-Maintainer: Debian iSCSI Maintainers <pkg-iscsi-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian iSCSI Maintainers <pkg-iscsi-maintainers@lists.alioth.debian.org>
 Uploaders: Andrew Moise <chops@demiurgestudios.com>, Philipp Hug <debian@hug.cx>, Guido Günther <agx@sigxcpu.org>, Ritesh Raj Sarraf <rrs@debian.org>
 Build-Depends: debhelper (>= 7.0.0), bzip2, bison, flex, autotools-dev
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-iscsi/open-iscsi.git
 Vcs-Browser: http://git.debian.org/?p=pkg-iscsi/open-iscsi.git
 Homepage: http://www.open-iscsi.org/
+XS-Testsuite: autopkgtest
 
 Package: open-iscsi
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, udev
+Replaces: open-iscsi-utils
+Conflicts: open-iscsi-utils (<< 2.0.873-3ubuntu1~)
 Description: High performance, transport independent iSCSI implementation
  Open-iSCSI is a high-performance, transport independent, multi-platform
  implementation of RFC3720 iSCSI
@@ -28,6 +32,40 @@
  The userspace component consists of a daemon, iscsid and a management
  utility, iscsiadm
 
+Package: open-iscsi-utils
+Priority: extra
+Section: oldlibs
+Architecture: all
+Depends: ${misc:Depends}, open-iscsi
+Description: transitional dummy package
+ Open-iSCSI is a high-performance, transport independent, multi-platform
+ implementation of RFC3720 iSCSI
+ .
+ Open-iSCSI is partitioned into user and kernel parts where the kernel
+ portion implements iSCSI data path (i.e. iSCSI Read and iSCSI Write)
+ The userspace contains the entire control plane consisting of:
+  * Configuration Manager
+  * iSCSI Discovery, Login and Logout processing
+  * Connection level error processing
+  * Nop-In and Nop-Out handling
+  * Text processing, iSNS, SLP, Radius et cetera (future)
+ .
+ The userspace component consists of a daemon, iscsid and a management
+ utility, iscsiadm
+ .
+ This is an empty transitional package, it can be safely removed.
+
+Package: open-iscsi-udeb
+Architecture: amd64 i386 ia64 mips mipsel powerpc
+Section: debian-installer
+Package-Type: udeb
+Depends: ${shlibs:Depends}, ${misc:Depends}, scsi-modules, libnss-files-udeb
+Description: Configure iSCSI
+ Open-iSCSI is a high-performance, transport independent, multi-platform
+ implementation of RFC3720 iSCSI.
+ .
+ This is the minimal package (udeb) used by debian-installer.
+
 #Package: linux-iscsi-modules-source
 #Architecture: all
 #Depends: ${shlibs:Depends}, ${misc:Depends}, module-assistant, debhelper (>= 4.0.0), bzip2

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 
 # get-orig-source target
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
+
+DEB_HOST_ARCH?=$(shell dpkg-architecture -qDEB_HOST_ARCH)
+SUPPORTED_ARCH_UDEB = amd64 i386 ia64 mips mipsel powerpc
 
 get-orig-source:
 	[ ! -f $(ORIG_FILE).gz ] || rm -f $(ORIG_FILE).gz
@@ -27,7 +30,7 @@
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
-
+	dh_autotools-dev_updateconfig
 	touch configure-stamp
 
 
@@ -62,6 +65,7 @@
 	$(MAKE) -C utils clean
 	rm -rf modules
 
+	dh_autotools-dev_restoreconfig
 	dh_clean 
 
 install: install-arch
@@ -81,9 +85,20 @@
 	install -m 755 usr/iscsistart $(CURDIR)/debian/open-iscsi/usr/sbin
 	install -m 755 utils/iscsi_discovery $(CURDIR)/debian/open-iscsi/usr/sbin
 	install -m 755 utils/iscsi-iname $(CURDIR)/debian/open-iscsi/usr/sbin
-	install -m 644 debian/initiatorname.iscsi $(CURDIR)/debian/open-iscsi/etc/iscsi/initiatorname.iscsi
 	install -m 600 etc/iscsid.conf $(CURDIR)/debian/open-iscsi/etc/iscsi
 	install -m 644 debian/open-iscsi.default $(CURDIR)/debian/open-iscsi/etc/default/open-iscsi
+
+ifneq (,$(findstring $(DEB_HOST_ARCH),$(SUPPORTED_ARCH_UDEB)))
+	# udeb stuff
+	install -m 755 usr/iscsiadm $(CURDIR)/debian/open-iscsi-udeb/bin
+	install -m 755 utils/iscsi-iname $(CURDIR)/debian/open-iscsi-udeb/sbin
+	install -m 755 utils/iscsi_discovery $(CURDIR)/debian/open-iscsi-udeb/sbin
+	install -m 755 usr/iscsid $(CURDIR)/debian/open-iscsi-udeb/sbin
+	install -m 755 usr/iscsistart $(CURDIR)/debian/open-iscsi-udeb/sbin
+	install -m 644 etc/iscsid.conf $(CURDIR)/debian/open-iscsi-udeb/etc/iscsi
+	install -m 644 debian/open-iscsi-udeb.start $(CURDIR)/debian/open-iscsi-udeb/sbin/iscsi-start
+	install -m 755 debian/open-iscsi-udeb.finish-install $(CURDIR)/debian/open-iscsi-udeb/usr/lib/finish-install.d/10open-iscsi
+endif
 
 	# initramfs stuff
 	install -m 755 debian/extra/initramfs.hook \
@@ -104,6 +119,7 @@
 	dh_installexamples
 	dh_installinit -u 'start 45 S . stop 81 0 1 6 .' --no-start
 	dh_installinit -u 'stop 80 0 1 6 .' --no-start --name=umountiscsi.sh
+	dh_installinit --name=iscsi-network-interface -n --upstart-only
 	dh_installman
 	dh_link
 	dh_strip
@@ -117,7 +133,7 @@
 	dh_builddeb
 # Build architecture independant packages using the common target.
 binary-indep: build-indep install-indep
-#	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
+	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
 
 # Build architecture dependant packages using the common target.
 binary-arch: build-arch install-arch

=== debian/tests/control ===
Tests: daemon testsuite
Depends: open-iscsi
Restrictions: needs-root

## open-iscsi 2.0.873%2Bgit0.3b4b4500

=== debian/changelog ===
open-iscsi (2.0.873+git0.3b4b4500-14ubuntu3.7) xenial; urgency=medium

  [Scott Moser]
  * debian/extra/initramfs.local-top: handle iSCSI iBFT DHCP to correctly
    run ipconfig to gather all DHCP config info, including DNS search
    domain, which iBFT can't provide.  (LP: #1806777)

 -- Dan Streetman <ddstreet@canonical.com>  Wed, 05 Dec 2018 14:33:36 -0500

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu3.6) xenial; urgency=medium

  * d/net-interface-handler: replace 'domainsearch' with the correct
    configuration option 'search' in net-interface-handler (LP: #1791108)

 -- Victor Tapia <victor.tapia@canonical.com>  Mon, 17 Sep 2018 16:39:15 +0200

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu3.5) xenial; urgency=medium

  * d/tests: pull back cloud image test updates from cosmic.
  * d/net-interface-handler: Apply changes only for the iscsi-root
    (LP: #1785108)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 02 Aug 2018 15:09:53 -0400

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu3.4) xenial; urgency=medium

  * d/p/08_Parse-origin-value-from-iBFT.patch
  * d/p/09_Represent-DHCP-origin-as-an-enum-not-a-string.patch
  * d/p/10_iBFT-origin-is-an-enum-not-a-string.patch
      - Cherry pick upstream patches to parse IP origin passed in by IBFT.
        iscsistart -f will now display the correct iface.bootproto
        (e.g. static or dhcp) (LP: #1684039)

  * d/extra/initramfs.local-top: When booting from iBFT,
    set the PROTO= entry in /run/net-*.conf accordingly,
    so that other tools, such as cloud-init, can use that
    information. (cloud-init fails if the current PROTO=none
    is used.) (Closes: #866213)

 -- Trent Lloyd <trent.lloyd@canonical.com>  Fri, 23 Jun 2017 18:03:36 +0800

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu3.3) xenial; urgency=medium

  * Fix syntax error in previous changes. LP: #1621507

 -- LaMont Jones <lamont@ubuntu.com>  Fri, 09 Dec 2016 11:44:56 +0100

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu3.2) xenial; urgency=medium

  [ LaMont Jones ]
  * Clean up net-interface-handler
  * Source /run/net6-*.conf when needed.

  [ Mathieu Trudel-Lapierre ]
  * debian/extra/initramfs.local-top: handle IPv6 configs being shipped in
    DEVICE6 or /run/net6-*.conf in the initramfs, so we can fill in
    /run/initramfs/open-iscsi.interface (LP: #1621507)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 08 Nov 2016 15:52:50 -0500

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu3.1) xenial; urgency=medium

  * add support for IPV6{DOMAINSEARCH,DNS0,DNS1} to net-interface-handler
    (LP: #1621507)

 -- LaMont Jones <lamont@canonical.com>  Tue, 20 Sep 2016 08:05:41 -0600

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu3) xenial; urgency=medium

  * Cherry-pick from Debian git repository (Christian Seiler):
    - open-iscsi-udeb: drop Depends: libnss-files-udeb (Closes: #819685)

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Apr 2016 16:54:26 +0100

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu2) xenial; urgency=medium

  * debian/tests: add two new tests.  One to verify net-interface-handler is
    installed executable, and one to actually test that /etc/resolv.conf is
    updated with dhcp dns responses.

 -- Diogo Matsubara <diogo.matsubara@gmail.com>  Wed, 09 Mar 2016 12:56:42 -0300

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu1) xenial; urgency=medium

  * Merge from debian. Remaining changes:
    - debian/tests: Add Ubuntu autopkgtest.
    - debian/iscsi-network-interface.rules, debian/net-interface-handler,
      debian/open-iscsi.install:
      Prevent network interface that contains iscsi root from bouncing
      during boot or going down during shutdown.
      Integrates with resolvconf and initramfs code that writes
      /run/initramfs/open-iscsi.interface
    - debian/open-iscsi.maintscript: clean up the obsolete
      iscsi-network-interface upstart job, file on upgrade.
  * make debian/net-interface-handler executable (LP: #1553017)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 04 Mar 2016 13:17:45 -0500

open-iscsi (2.0.873+git0.3b4b4500-14) unstable; urgency=medium

  [ Christian Seiler ]
  * [7ec2450] debian/control: fix typo in Vcs-Git field
  * [b98ca63] debian/control: bump Standards-Version to 3.9.7

  [ Mathieu Trudel-Lapierre ]
  * [f5b850a] udeb: don't generate initiator name if already present
    (Closes: #816632)

 -- Christian Seiler <christian@iwakd.de>  Thu, 03 Mar 2016 18:47:46 +0100

open-iscsi (2.0.873+git0.3b4b4500-13ubuntu1) xenial; urgency=medium

  * Merge from Debian (LP: #1546877). Remaining changes:
    - debian/tests: Add Ubuntu autopkgtest.
    - debian/iscsi-network-interface.rules, debian/net-interface-handler,
      debian/open-iscsi.install:
      Prevent network interface that contains iscsi root from bouncing
      during boot or going down during shutdown.
      Integrates with resolvconf and initramfs code that writes
      /run/initramfs/open-iscsi.interface
    - debian/open-iscsi.maintscript: clean up the obsolete
      iscsi-network-interface upstart job, file on upgrade.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 18 Feb 2016 00:53:37 -0500

open-iscsi (2.0.873+git0.3b4b4500-13) unstable; urgency=medium

  [ Christian Seiler ]
  * [d95ccde] initramfs: fix initramfs creation bug
    (too many symbolic links)
  * [f6246a8] Use triggers instead of update-initramfs
  * [16283ac] Unconditionally add iSCSI to initramfs images
  * [5cf584f] Support RFC 4173 root=iscsi:... format (Closes: #804162)
  * [b12b4b9] Make sure initiatorname.iscsi isn't an obsolete conffile.
  * [06ce1d3] Don't consider iscsiadm exit code 15 to be an error
    (Partial-Fix-For: #809320)
  * [481cedd] Support network autoconfiguration if iscsi_auto is used
    (Closes: #804591)
  * [3b3fa00] Record network device that was configured for iSCSI
  * [508fcba] Handle the default route for iscsi_auto
  * [64b0f31] Fix handling of multiple kept sessions on shutdown
    (Closes: #809320)
  * [df7259e] Fix FTBR on armhf (reproducible builds)

  [ Marco d'Itri ]


=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall

# open-iscsi's build system uses OPTFLAGS to set CFLAGS
export OPTFLAGS = $(CPPFLAGS) $(CFLAGS)

%:
	dh $@ --with autotools_dev,autoreconf,systemd

DEB_UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')

get-orig-source:
	uscan --force-download --rename --repack --download-version=$(DEB_UPSTREAM_VERSION) --destdir=.

override_dh_auto_build:
	$(MAKE) -C utils/fwparam_ibft
	$(MAKE) user
	$(MAKE) -C utils

override_dh_auto_clean:
	$(MAKE) -C utils/fwparam_ibft clean
	$(MAKE) -C usr clean
	$(MAKE) -C utils clean
	rm -rf modules

override_dh_auto_install:
	@# do nothing, we install stuff with dh_install etc.

override_dh_fixperms:
	dh_fixperms
	@# That configuration file might contain authentication data, so
	@# don't make it world-readable. See bug #735773 for details.
	chmod 0600 $(CURDIR)/debian/open-iscsi/etc/iscsi/iscsid.conf
	@# Since this file is copied from the installer ramdisk to the
	@# system if the udeb is used, the permissions need to be changed
	@# here as well.
	@# However, we might be building on an architecture that doesn't
	@# have udeb support yet (see debian/control), so see if it was
	@# installed during build before trying to adjust permissions.
	if [ -f $(CURDIR)/debian/open-iscsi-udeb/etc/iscsi/iscsid.conf ] ; then \
		chmod 0600 $(CURDIR)/debian/open-iscsi-udeb/etc/iscsi/iscsid.conf ; \
	fi

override_dh_installinit:
	dh_installinit --no-start --name=iscsid
	dh_installinit --no-start

override_dh_systemd_enable:
	dh_systemd_enable --name=iscsid
	dh_systemd_enable

override_dh_systemd_start:
	dh_systemd_start -popen-iscsi --no-restart-on-upgrade --no-start iscsid.service open-iscsi.service

# The following is taken from the initramfs-tools package. (We recommend
# busybox in the initramfs because otherwise we don't have access to the
# ip utility to set the default gateway after iscsistart -N is done.)
# On Debian we can use either busybox or busybox-static, but on Ubuntu
# and derivatives only busybox-initramfs will work.
BUSYBOX_PACKAGES := $(shell if dpkg-vendor --derives-from ubuntu; then echo busybox-initramfs; else echo busybox busybox-static; fi)

override_dh_gencontrol:
	echo >> debian/open-iscsi.substvars "busybox:Recommends=$(wordlist 2,100,$(BUSYBOX_PACKAGES:%=| %))"
	dh_gencontrol
